﻿/* Dark mode */

body.dark-mode .container {
	background-color: #2a2a2a;
	color: #e0e0e0;
	box-shadow: 0 0 20px rgba(255,255,255,0.05); /* jemnější stín pro tmavé pozadí */
}

/* Light mode */
body.dark-mode .app-grid { /* Je vubec pouzito? */
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
	gap: 20px;
	margin-top: 30px;
}

body.dark-mode .list-head {
	font-size: 18px;
	font-weight: bold;
	color: #e0e0e0;
	margin-bottom: 10px;
	background-color: #9a9a9a;
}

body.dark-mode .app-card, body.dark-mode .app-card-alt {
	color: #e0e0e0;
	background-color: #5a5a5a;
	/*color: #ffffff;*/
	border-radius: 12px;
	box-shadow: 0 4px 12px rgba(0,0,0,0.1);
	padding: 20px;
	margin-bottom: 20px;
	transition: transform 0.3s ease;
}

	body.dark-mode .app-card:hover, body.dark-mode  .app-card-alt:hover {
		transform: translateY(-5px);
	}

body.dark-mode .fav-heading a, body.dark-mode .fav-heading-alt a {
	font-size: 16px;
	font-weight: bold;
	color: #e0e0e0;
	margin-bottom: 5px;
}

body.dark-mode .fav-description, body.dark-mode .fav-description-alt {
	font-size: 12px;
	color: #e0e0e0;
	margin-top: 5px;
	margin-bottom: 5px;
}


body.dark-mode .fav-info, body.dark-mode .fav-info-alt {
	font-size: 0.9em;
	color: #e0e0e0;
	margin-top: 5px;
	border-top: 1px solid #ddd;
	padding-top: 10px;
}

	body.dark-mode .fav-info a, body.dark-mode .fav-info-alt a {
		color: #66ccff;
	}

		body.dark-mode .fav-info a:visited, body.dark-mode .fav-info-alt a:visited {
			color: #c299ff;
		}

/*body.dark-mode .list-head {
	font-size: 16px;
	font-weight: bold;
	color: #e0e0e0;
	margin-bottom: 10px;
	background-color: #3a3a3a;
}

body.dark-mode .footer {
	margin-top: 40px;
	font-size: 0.9em;
	color: #e0e0e0;
}

body.dark-mode .app-card, body.dark-mode .app-card-alt {
	background-color: #5a5a5a;*/
	/*color: #8a8a8a;*/
	/*color: #ffffff;
}

body.dark-mode .app-title, body.dark-mode .app-title-alt {
	color: #e0e0e0;
}

body.dark-mode .app-desc, body.dark-mode .app-desc-alt {
	color: #e0e0e0;
}

body.dark-mode .app-link {
	background-color: #005A9E;
	color: #e0e0e0;
}

	body.dark-mode .app-link:hover {
		background-color: #0078D7;
	}

body.dark-mode .app-card:hover, body.dark-mode .app-card-alt:hover {
	background-color: #8a8a8a;
	color: #e0e0e0;
}*/
